% Function that undersenses some Vgets

function [TH] = mess_heart_failure(MX, Comb)
TH=MX;
ctr_comb=1;
counter=1;
ctr=1;
    while(ctr_comb<=size(Comb,1)),
        
        if(MX(counter,3)==2),
            ctr=ctr+1;
        end
        
        if(ctr==10),
           if(Comb(ctr_comb)==1),
               TH(counter,3)=0;
           end
           
           ctr_comb=ctr_comb+1;
           ctr=1;
        end
        counter=counter+1;
    end
end